Bug 980860 - Nova doc: libvirtd should be started before openstack-nova-compute
Nova doc: libvirtd should be started before openstack-nova-compute
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Installation_and_Configuration_Guide (Show other bugs)
3.0
Unspecified Unspecified
high Severity high
: async
: 3.0
Assigned To: Stephen Gordon
ecs-bugs
: Documentation, Triaged, ZStream
Depends On:
Blocks: 1011085
  Show dependency treegraph
 
Reported: 2013-07-03 07:28 EDT by Attila Darazs
Modified: 2014-01-05 23:25 EST (History)
2 users (show)

See Also:
Fixed In Version: Red_Hat_OpenStack-Installation_and_Configuration_Guide-3-web-en-US-3-30.el6eng
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build: CSProcessor Builder Version 1.11 Build Name: 15807, Installation and Configuration Guide-3-1 Build Date: 02-07-2013 17:01:56 Topic ID: 15906-465712 [Latest]
Last Closed: 2014-01-05 23:25:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Attila Darazs 2013-07-03 07:28:05 EDT
Title: Starting the Compute Services

Describe the issue:
The openstack-nova-compute service dies at start with this error, if we don't start the libvirtd service beforehand.

from /var/log/nova/compute.log:
2013-07-03 13:18:28.631 16459 TRACE nova.virt.libvirt.driver libvirtError: Failed to connect socket to '/var/run/libvirt/libvirt-sock': No such file or directory

Suggestions for improvement:
do this before starting it:
# service libvirtd start
# chkconfig libvirtd on
Comment 2 Stephen Gordon 2013-07-17 10:47:15 EDT
Injected after messagebus start and before nova start.

"Starting the Compute Services" - ID: 15906 [rev: 478976]

Note You need to log in before you can comment on or make changes to this bug.